# Katabatic Documentation

# Katabatic - Routing Toolbox

List of all members | Public Member Functions
AutoSegments_Aligneds Class Reference

All aligned AutoSegment of a set. More...

Inheritance diagram for AutoSegments_Aligneds:
[legend]

## Public Member Functions

| AutoSegments_Aligneds (AutoSegment *, unsigned int flags=KbNoFlags)
| AutoSegments_Aligneds (const AutoSegments_Aligneds &)
virtual AutoSegmentHC * | getClone () const
virtual AutoSegmentHL * | getLocator () const

## Detailed Description

All aligned AutoSegment of a set.

A Collection to iterate over all the AutoSegment aligned with `master`. The `master` itself will not be included in the walkthrough. If the Katabatic::KbWithPerpands flag is passed as argument, the collection will also includes the AutoSegments directly perpandicular to the aligned set.

Remark: AutoSegments are forced to be aligneds only when connected through
  AutoContactHTee or AutoContactVTee.

## Constructor & Destructor Documentation

## ◆ AutoSegments_Aligneds() [1/2]

AutoSegments_Aligneds | ( | AutoSegment * | master,
|  | unsigned int | flags = `KbNoFlags`
| ) |  |

inline

Create a collection of all the AutoSegment aligned on `master` (master itself is excluded from the Collection). If the flag Katabatic::KbWithPerpands is given the directly perpandicular AutoSegment will also be includeds.

## ◆ AutoSegments_Aligneds() [2/2]

AutoSegments_Aligneds | ( | const AutoSegments_Aligneds & | autosegments | ) |

inline

Copy constructor.

## Member Function Documentation

## ◆ getClone()

AutoSegmentHC * getClone | ( |  | ) | const

virtual

Returns: A deep copy of the Collection.

Implements Collection< Type >.

## ◆ getLocator()

AutoSegmentHC * getLocator | ( |  | ) | const

virtual

Returns: A deep copy of the Collection Locator.

Implements Collection< Type >.

The documentation for this class was generated from the following files:

- AutoSegments.h
- AutoSegments.dox